io.vertx.json.schema.common

## Class TrueSchema

- java.lang.Object
- - io.vertx.json.schema.common.TrueSchema

- All Implemented Interfaces:
    AsyncValidator, PriorityGetter, SchemaInternal, SyncValidator, Validator, Schema

      public class TrueSchema
      extends Object
      implements SchemaInternal

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrueSchema(MutableStateValidator parent)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TrueSchema` | `getInstance()`
    `Boolean` | `getJson()`
    `Future<Object>` | `getOrApplyDefaultAsync(Object input)`
    `Object` | `getOrApplyDefaultSync(Object input)`
    `ValidatorPriority` | `getPriority()` Returns the priority
    `JsonPointer` | `getScope()`
    `boolean` | `isSync()` Returns true if this validator can actually provide a synchronous validation
    `Future<Void>` | `validateAsync(Object in)` Validate the json performing an asynchronous validation.
    `Future<Void>` | `validateAsync(ValidatorContext context, Object in)` Return a Future that succeed when the validation succeed, while fail with a `ValidationException` when validation fails
    `void` | `validateSync(Object in)` Validate the json performing a synchronous validation.
    `void` | `validateSync(ValidatorContext context, Object in)` Validate the provided value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrueSchema

          public TrueSchema(MutableStateValidator parent)

  - ### Method Detail

    - #### getInstance

          public static TrueSchema getInstance()

    - #### isSync

          public boolean isSync()

      Description copied from interface: `Validator`
      Returns true if this validator can actually provide a synchronous validation
      Specified by:
        `isSync` in interface `Validator`
      Specified by:
        `isSync` in interface `Schema`
      Returns:
        true if this validator can provide a synchronous validation.

    - #### getPriority

          public ValidatorPriority getPriority()

      Description copied from interface: `PriorityGetter`
      Returns the priority
      Specified by:
        `getPriority` in interface `PriorityGetter`
      Returns:

    - #### validateSync

          public void validateSync(Object in)
                            throws ValidationException,
                                   NoSyncValidationException

      Description copied from interface: `Schema`
      Validate the json performing a synchronous validation. Throws a `ValidationException` if json doesn't match the schema.
      Specified by:
        `validateSync` in interface `Schema`
      Parameters:
        `in` - input to validate
      Throws:
        `ValidationException` - if the input doesn't match the schema
        `NoSyncValidationException` - If the schema cannot perform a synchronous validation

    - #### validateAsync

          public Future<Void> validateAsync(Object in)

      Description copied from interface: `Schema`
      Validate the json performing an asynchronous validation.

      Note: If the schema is synchronous, this method will call internally `this#validateSync(Object)`

      Specified by:
        `validateAsync` in interface `Schema`
      Parameters:
        `in` - input to validate
      Returns:
        a failed future with `ValidationException` if json doesn't match the schema, otherwise a succeeded future.

    - #### validateAsync

          public Future<Void> validateAsync(ValidatorContext context,
                                            Object in)

      Description copied from interface: `AsyncValidator`
      Return a Future that succeed when the validation succeed, while fail with a `ValidationException` when validation fails
      Specified by:
        `validateAsync` in interface `AsyncValidator`
      Returns:

    - #### validateSync

          public void validateSync(ValidatorContext context,
                                   Object in)
                            throws ValidationException,
                                   NoSyncValidationException

      Description copied from interface: `SyncValidator`
      Validate the provided value
      Specified by:
        `validateSync` in interface `SyncValidator`
      Throws:
        `ValidationException` - if the object is not valid
        `NoSyncValidationException` - if no sync validation can be provided

    - #### getScope

          public JsonPointer getScope()

      Specified by:
        `getScope` in interface `Schema`
      Returns:
        scope of this schema

    - #### getJson

          public Boolean getJson()

      Specified by:
        `getJson` in interface `Schema`
      Returns:
        Json representation of the schema

    - #### getOrApplyDefaultAsync

          public Future<Object> getOrApplyDefaultAsync(Object input)

      Specified by:
        `getOrApplyDefaultAsync` in interface `SchemaInternal`

    - #### getOrApplyDefaultSync

          public Object getOrApplyDefaultSync(Object input)

      Specified by:
        `getOrApplyDefaultSync` in interface `SchemaInternal`

Copyright © 2024 Eclipse. All rights reserved.